#= Totorial of deepconv/arare: rakuraku deepconv
#
# Authors::   SUGIYAMA Ko-ichiro, ODAKA Masatsugu
# Version::   $Id: namelist.rd,v 1.4 2014/03/04 04:44:05 sugiyama Exp $
# Tag Name::  $Name: arare5-20150219-3 $
# Copyright:: Copyright (C) GFD Dennou Club, 2006. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
#
########################################################################
#
=begin TOPLINK
[((<GFD Dennou Club|URL:http://www.gfd-dennou.org>)) |
((<deepconv Project|URL:http://www.gfd-dennou.org/library/deepconv>))]
[((<deepconv Reference Manual|URL:../index.htm>))]
=end TOPLINK

=begin

= եγ

== ¾

ʲǤ,  (ܾ졦) ʪʳܤ. 

=== ϥե˴ؤ

ե˽񤭹. 

  &fileset_nml
    !եǽŪѹ, ȿ. 
    FileInstitution = 'GFD Dennou Club (http://www.gfd-dennou.org)'
    ! ¸̾ 
    FileTitle       = 'cloud moist convection experiment' (ǥե)
    ! ǡեץ̾
    FileSource      =  'deepconv/arare5 (http://www.gfd-dennou.org/library/deepconv)' (ǥե)
   /

ǥեͤΤޤޤɤѿɬפϤʤ. 㤨, ¸̾
ץ̾ϥǥեȤΤޤޤɤˤ, FileInstitution Τ
ꤹɤ. 

  &fileset_nml
    !եǽŪѹ, ȿ. 
    FileInstitution = 'XXXX@yyy.org'
   /

=== ꥹȥե˴ؤ

ꥹȤΤϡϥեꤹ. 

  &restartfileio_nml
    InputFile  = "arare_restart.nc",   ! ϥե̾
    OutputFile = "arare_restart2.nc",  ! ϥե̾
  /

=== ʬ֤˴ؤ

ֹʬ, ꥹȻ֤ꤹ. 
ꥹȤν, ((<|URL:./settings5.htm>)) 򻲾Ȳ. 

  &timeset_nml
    DelTimeLong   = 4.0d0      !Ĺॹƥå [sec]
    DelTimeShort  = 4.0d-1     !ûॹƥå(ȴϢ) [sec]
    RestartTime   = 0.0d0      !ϻ [sec]
    IntegPeriod   = 4800.0d0   !ʬ [sec]
    DelTimeOutput = 240.0d0    !ꥹȥե˽񤭽Фֹ [sec]
  /

=== ʻ˴ؤ

ʻ˴ؤꤷޤ. 
2 ׻Ԥν, ((<|URL:./calc_2d.htm>)) 򻲾Ȳ. 
MPI Ѥ׻Τ, ((<|URL:./calc_mpi.htm>)) 򻲾Ȳ. 

  &gridset_nml
    xsub  = 1                 ! X  (ǥե)
    ysub  = 1                 ! Y  (ǥե)
    xdim  = 10                ! X  (ǥե)
    ydim  = 10                ! Y  (ǥե)
    zdim  = 10                ! Z  (ǥե)
    NCMAX = 1                 ! ŷʬο (ǥե)
    Xmg   = 2                 ! X Υޡ (ǥե)
    Ymg   = 2                 ! Y Υޡ (ǥե)
    Zmg   = 2                 ! Z Υޡ (ǥե)
  /

=== ɸ˴ؤ

ɸ˴ؤꤷޤ. 

  &axesset_nml
    Xmin  = 0.0d0              ! X ɸλ (ǥե)
    Xmax  = 1.0d4              ! X ɸν (ǥե)
    Ymin  = 0.0d0              ! X ɸλ (ǥե)
    Ymax  = 1.0d4              ! X ɸν (ǥե)
    Zmin  = 0.0d0              ! Z ɸλ (ǥե)
    Zmax  = 1.0d4              ! Z ɸν (ǥե)
  /

ǥեͤϻꤷʤƤɤǤ. 

  &axesset_nml
    Xmax  = 1.0d4              ! X ɸν (ǥե)
    Ymax  = 1.0d4              ! X ɸν (ǥե)
    Zmax  = 1.0d4              ! Z ɸν (ǥե)
  /

=== ¸ѥ᥿(ʪ)

갵ǮǮʬ̡ꤹˡϰʲ 3 ̤ꤢޤ. 
ܤˡˤĤƤ ((<|URL:./settings3.htm>)) 򻲾Ȳ. 

* 갵Ǯʬ̤ۤͿ
* 갵ǮȵͿ
* ʪ̾ȤΥͿ

ǥեͤϰʲ̤Ǥ. 

  &constants_nml
    Grav = 9.8d0          ! [m/s^2]
    PressBasis = 965.0d0  !̤δవ [Pa]
    TempSfc = 0.0d0       !ɽ̲ [K]
    PressSfc = 0.0d0      !ɽ̰ [Pa]
    TempTop = 0.0d0       !β [K]
    PressTop = 0.0d0      !Ǥΰ [Pa]
    CpDry  = 0.0d0        !ʬ갵Ǯ [J/K kg]
    CpDryMol = 0.0d0      !ʬ갵Ǯ [J/K kg]
    CvDry = 0.0d0         !ʬǮ [J/K kg]
    MolWtDry = 0.0d0      !ʬʬ   [kg/mol]
    GasRDry  = 0.0d0      !ʬε [J/K kg]
    DayTime = 86400.0d0   ! 1 Ĺ [s]
  /


=== ˴ؤ

ɬפ˱Ŭ. ʲϵ絤ξǤ.

  &composition_nml
    SpcWetSymbol(1)  = 'H2O-g',  !ʬ
    SpcWetSymbol(2)  = 'H2O-s-Cloud', !ʬ
    SpcWetSymbol(3)  = 'H2O-s-Rain',  !ʬ
    SpcWetMolFr(1)   = 1.0d-2,  !ʬ¸()
    SpcWetMolFr(2)   = 0.0d0,  !ʬ¸()
    SpcWetMolFr(3)   = 0.0d0,   !ʬ¸()
  /


=== 그(ݥ) 

ݥؤθ그ꤹ. DepthVb ϶¸Τ褦, 
˥ݥؤꤹѤ. 

  &damping_nml
    EFTime = 3.0d2             !ݥؤθ그 e-folding time
    DepthH = 0.0d0             !ݥؤθ(ʿ)
    DepthV = 0.0d0             !ݥؤθ(ľ) []
    DepthVb= 0.0d0             !ݥؤθ(ľ) [] 
  /

=== 그(ȸ)

̾ѹɬפϤʤ.

  &dynamics_nml
   AlphaSound      = 2.0e-7    !ȸη
   AlphaNDiff      = 1.0d-4    !ͳȻη
   NDiffRatio      = 1.0d0     !®٤ФǴ夲Ͽ 1 ʾˤ. 
   beta            = 1.0       !ľˡˤˤ 1.0
                               !󥯥˥륽ˡˤ 0.5 Ȥ. 
   FactorBuoyTemp  = 1.0d0     ! (٤δͿ) ̵ͭ
                               !θʤͤ򥼥ˤ.
   FactorBuoyMolWt = 1.0d0     ! (ʬ̸) ̵ͭ
                               !θʤͤ򥼥ˤ.
   FactorBuoyLoading = 1.0d0   ! (ٽŸ) ̵ͭ
                               !θʤͤ򥼥ˤ.
  /



=== Ϥ

ܺ٤((<|URL:settings4.htm>)) .

  &gtool_historyauto_nml
    FilePrefix = "thermal-moist_" ! ϥեƬ
    IntValue = 10.0,              ! ϴֳ֤ο
    IntUnit = 'sec',              ! ϴֳ֤ñ
  /

=== ǡϤθ

ѿθ̤Ԥ. ܺ٤((<|URL:settings4.htm>)) .

  &gtool_historyauto_nml
    Name = ''                     ! ѿ̾
    IntValue = 10.0,              ! ϴֳ֤ο
    IntUnit = 'sec',              ! ϴֳ֤ñ
  !  TimeAverage = .true.,        ! ʿѤ̵ͭ
  !  SpaceAverage = .true.,       ! ʿʿѤ̵ͭ
  /


=end
